HomeFreeBSD

fix symlinks for ansible when non-default version is installed

Description

fix symlinks for ansible when non-default version is installed

The issue is that before stage, other binaries are links to ansible:

bin/ansible-vault -> bin/ansible
bin/ansible-playbook -> bin/ansible

During stage, these get renamed with a suffix, like 3.6, but the
target of the symlink doesn't change:

bin/ansible-vault-3.6 -> bin/ansible
bin/ansible-playbook-3.6 -> bin/ansible

This either creates broken links if the package for the default
Python version is not installed or it creates links to the
wrong binary if it is.

Thank you Andreas Sommer for the fix!

PR: 229960
Submitted by: Andreas Sommer

Details

Committed
lifanovJul 24 2018, 3:16 AM
Parents
rP475221: - Update to 0.9991
Branches
Unknown
Tags
Unknown